@echo off
title flashrom p1.0
mode 100, 28

:start
cls
echo 1: Probe for flash
echo 2: Read flash and save to [file]
echo 3: Write [file] to flash
echo 4: Exit
echo.
set i=0
set /p i="Enter: "
if %i% EQU 1 goto probe
if %i% EQU 2 goto read
if %i% EQU 3 goto write
if %i% EQU 4 goto end
goto start

:probe
cls
flashrom
echo.
pause
goto start

:read
cls
set f=read.bin
set /p f="Read flash and save to: "
echo.
set c=n
set /p c="Are you sure filename %f% is correct [Y/N]? "
if /i %c% NEQ y goto start
cls
flashrom -r %f%
echo.
pause
goto start

:write
cls
set f=write.bin
set /p f="Write [file] to flash: "
echo.
set c=n
set /p c="Are you sure filename %f% is correct [Y/N]? "
if /i %c% NEQ y goto start
cls
flashrom -w %f%
echo.
pause
goto start

:end
exit